use serde::Deserialize;
use twitch_api2::twitch_oauth2::{ClientId, ClientSecret};
use std::net::IpAddr;

#[derive(Deserialize)]
pub struct UserConfig {
    pub twitch: Twitch,
    pub bot: Bot,
    pub web: Web,
    pub livesplit: LiveSplit,
}

#[derive(Deserialize)]
pub struct Twitch {
    pub client_id: ClientId,
    pub client_secret: ClientSecret,
    pub channel_id: u64,
}

#[derive(Deserialize)]
pub struct Bot {
    pub access_token: String,
}

#[derive(Deserialize)]
pub struct Web {
    pub address: IpAddr,
    pub port: u16,
}

#[derive(Deserialize)]
pub struct LiveSplit {
    pub server: String,
}
